<?php if (!defined('PmWiki')) exit();

# add the netstreams/wikilib.d to $WikiLibDirs
global $WikiLibDirs, $SkinDir;
    $where = count($WikiLibDirs);
    if ($where>1) $where--;
    array_splice($WikiLibDirs, $where, 0, 
        array(new PageStore("$SkinDir/wikilib.d/\$FullName")));

# groups skinsections
Markup('noheader', 'directives',
	'/\\(:noheader:\\)/ei',
	"SetTmplDisplay('PageHeaderAFmt',0) .
	SetTmplDisplay('PageHeaderBFmt',0) ");

Markup('noleft', 'directives',
	'/\\(:noleft:\\)/ei',
	"SetTmplDisplay('PageLeftAFmt',0) .
	SetTmplDisplay('PageLeftBFmt',0) .
	SetTmplDisplay('PageLeftCFmt',0) .
	SetTmplDisplay('PageLeftDFmt',0) ");

Markup('noright', 'directives',
	'/\\(:noright:\\)/ei',
	"SetTmplDisplay('PageRightAFmt',0) .
	SetTmplDisplay('PageRightBFmt',0) .
	SetTmplDisplay('PageRightCFmt',0) .
	SetTmplDisplay('PageRightDFmt',0) ");

# disables automaticly including the groupheader and footer at the head/bottom of the wikipage (included into the netstreams.tmpl)
$GLOBALS['GroupHeaderFmt'] = '';
$GLOBALS['$GroupFooterFmt'] = '';

# disables preconfigured css
GLOBAL $HTMLStylesFmt;
#$HTMLStylesFmt['pmwiki'] = "";
#$HTMLStylesFmt['markup'] = ""; #BUG. lässt sich nicht ausschalten
#$HTMLStylesFmt['wikistyles'] = "";
#$HTMLStylesFmt['simuledit'] = "";


# generate the link back from a "related page" (Discussion, Presentation), see Site.RelatedPages
Markup('{$BaseName}', '>{$fmt}',
	'/{\\$BaseName}/',
	preg_replace('/-/','.', FmtPageName('$Group', $pagename), 1));


# gives the attachment its own css class (attachlink, attachupdate) this dont work at the moment
GLOBAL $IMapLinkFmt;
$IMapLinkFmt['Attach:'] =
    "<a class='attachlink' href='\$LinkUrl'>\$LinkText</a> <sup><a
      class='attachupdate' href='\$LinkUpload'>update</a></sup>";


# if a template exists for a new page, use it
GLOBAL $EditTemplatesFmt;
$EditTemplatesFmt = 'Site.{$Name}Template';

# this try to show/hide  sections wikicommands (cmds), dont work realy cause nested sections are not allowed
#$page = RetrieveAuthPage($pagename, 'read', false, READPAGE_CURRENT);
#if (!@$page['=auth']['edit']) SetTmplDisplay('PageAuthorFmt', 1);


